Apache Tomcat 6.0.51

## org.apache.catalina.deploy
Class ContextResource

    java.lang.Object
      org.apache.catalina.deploy.ResourceBase
          org.apache.catalina.deploy.ContextResource

All Implemented Interfaces:
  java.io.Serializable

    public class ContextResource

extends ResourceBase
implements java.io.Serializable

Representation of a resource reference for a web application, as represented in a `<resource-ref>` element in the deployment descriptor.

Author:
  Craig R. McClanahan, Peter Rossbach (pero@apache.org)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.deploy.ResourceBase
`resources`

Constructor Summary
`ContextResource()`

Method Summary
`java.lang.String` | `getAuth()`
`java.lang.String` | `getScope()`
`void` | `setAuth(java.lang.String auth)`
`void` | `setScope(java.lang.String scope)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class org.apache.catalina.deploy.ResourceBase
`getDescription, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextResource

    public ContextResource()

Method Detail

### getAuth

    public java.lang.String getAuth()

### setAuth

    public void setAuth(java.lang.String auth)

### getScope

    public java.lang.String getScope()

### setScope

    public void setScope(java.lang.String scope)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.